using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using YBDevice.Application.ViewInfo;

namespace YBDevice.NWeb.Pages.Order
{
    public class IndexModel : BaseModel
    {
        private IViewEngineService _viewEngineService;
        public ViewS2SDto viewdata = new ViewS2SDto();
        public IndexModel(IViewEngineService viewEngineService)
        {
            _viewEngineService = viewEngineService;
        }
        public async Task OnGetAsync()
        {
            viewdata = await _viewEngineService.GetBtnListAsync();
        }
    }
}
